import { IOption } from '@/types/IOption';

export const selectOptions: Record<string, IOption[]> = {
  processingMethod: [
    { label: 'Все', value: 'ALL' },
    { label: 'Передача голоса', value: 'voice_transmission' },
    { label: 'Уведомление по телефону', value: 'notification_by_phone' },
    { label: 'Предупреждающее напоминание', value: 'warning_reminder' },
    { label: 'False Positive', value: 'false_positive' },
    { label: 'Другое', value: 'other' },
    { label: 'Подтвердить', value: 'confirm' },
    { label: 'The driver corrects in time', value: 'driver_corrects_in_time' },
    {
      label: 'A reminder has been issued to correct the instruction. Then the alarm is cleared',
      value: 'alarm_is_cleared',
    },
    {
      label:
        'A reminder has been issued to correct the instruction. Then report to the corporate safety management agency, and finally the alarm is released',
      value: 'report_to_corporate',
    },
    {
      label:
        'A reminder has been issued to correct the instruction. Then report to the safety management agency of the enterprise. As it still has not corrected, report to the traffic management department of the public security agency',
      value: 'report_to_safety',
    },
    { label: 'Customize', value: 'customize' },
    { label: 'WeChat Notify', value: 'wechat_notify' },
  ],
  reportStatus: [
    { label: 'Все', value: 'ALL' },
    { label: 'Not reported', value: 'not_reported' },
    { label: 'Processing Completed', value: 'processing_completed' },
    { label: 'Not Processed', value: 'not_processed' },
    { label: 'Future Processing', value: 'future_processing' },
  ],
  alarmSource: [
    { label: 'Все', value: 'ALL' },
    { label: 'Устройство', value: 'device' },
    { label: 'Platform', value: 'platform' },
  ],

  alarmType: [
    { label: 'Выбрать все', value: 'ALL' },
    { label: 'Превышение скорости/Сигнализация усталости:', value: 'speeding' },
    { label: 'Over Speed Warning', value: 'overspeed_warning' },
    { label: 'Overspeed Alarm', value: 'overspeed_alarm' },
    { label: 'Fatigue Driving', value: 'fatigue_driving' },
    { label: 'Fatigue Driving Warning', value: 'fatigue_driving_warning' },
    { label: 'Тревога устройства:', value: 'device_alarm' },
    { label: 'Early Morning Operation(Platform)', value: 'early_morning_operation' },
    { label: 'Усталость за рулем (platform)', value: 'fatigue_at_wheel' },
    { label: 'Road Class Overspeed Alarm(Platform)', value: 'road_class_overspeed_alarm' },
    { label: 'Night Overspeed Alarm(Platform)', value: 'night_overspeed_alarm' },
    { label: 'Offline Displacement(Platform)', value: 'offline_displacement' },
  ],
};
