import type { IOption } from '@/types/IOption';

export const choiceTimeOptions: IOption[] = [
  { label: 'Настроить своё', value: 'custom_time' },
  { label: 'Сегодня', value: 'today' },
  { label: 'Вчера', value: 'yesterday' },
  { label: 'Последние 2 дня', value: 'last_2_days' },
  { label: 'Последние 7 дней', value: 'last_7_days' },
  { label: 'Последний месяц', value: 'last_month' },
];

export const exportFormatOptions: IOption[] = [
  { label: 'Excel', value: 'excel' },
  { label: 'CSV', value: 'csv' },
  { label: 'PDF', value: 'pdf' },
];

export const alarmTypeOptions: IOption[] = [
  { label: 'Все', value: 'ALL' },
  { label: 'Over Speed Warning', value: 'overspeed_warning' },
  { label: 'Overspeed Alarm', value: 'overspeed_alarm' },
  { label: 'Fatigue Driving Warning', value: 'fatigue_driving_warning' },
  {
    label: 'Время вождения за день превышено',
    value: 'driving_time_for_the_day_has_been_exceeded',
  },
  { label: 'Period Overspeed Alarm(Platform)', value: 'period_overspeed_alarm' },
  { label: 'Period of Low Speed Alarm(Platform)', value: 'period_of_low_speed' },
  { label: 'Overtime Parking(Platform)', value: 'overtime_parking' },
  { label: 'Усталость за рулем (platform)', value: 'fatigue_at_the_wheel' },
  { label: 'Fatigue Driving Warning(platform)', value: 'fatigue_drving_warning' },
  { label: 'Early Morning Operation(Platform)', value: 'early_morning_operation' },
  { label: 'Road Class Overspeed Alarm(Platform)', value: 'road_class_overspeed_alarm' },
  { label: 'Rapid Acceleration', value: 'rapid_acceleration' },
  { label: 'Rapid Deceleration', value: 'rapid_deceleration' },
  { label: 'Night Overspeed Alarm(Platform)', value: 'night_overspeed_alarm' },
  { label: 'Fatigue Driving', value: 'fatique_driving' },
];

export const proccesingStatusOptions: IOption[] = [
  { label: 'Все', value: 'ALL' },
  { label: 'Не обработано', value: 'not_processed' },
  { label: 'Получено', value: 'received' },
];

export const processingMethod: IOption[] = [
  { label: 'Все', value: 'ALL' },
  { label: 'Передача голоса', value: 'voice_transmission' },
  { label: 'Уведомление по телефону', value: 'notification_by_phone' },
  { label: 'Предупреждающее напоминание', value: 'warning_reminder' },
  { label: 'False Positive', value: 'false_positive' },
  { label: 'Другое', value: 'other' },
  { label: 'Подтвердить', value: 'confirm' },
  { label: 'The driver corrects in time', value: 'driver_corrects_in_time' },
  {
    label: 'A reminder has been issued to correct the instruction. Then the alarm is cleared',
    value: 'alarm_is_cleared',
  },
  {
    label:
      'A reminder has been issued to correct the instruction. Then report to the corporate safety management agency, and finally the alarm is released',
    value: 'report_to_corporate',
  },
  {
    label:
      'A reminder has been issued to correct the instruction. Then report to the safety management agency of the enterprise. As it still has not corrected, report to the traffic management department of the public security agency',
    value: 'report_to_safety',
  },
  { label: 'Customize', value: 'customize' },
  { label: 'WeChat Notify', value: 'wechat_notify' },
];

export const alarmSourceOptions: IOption[] = [
  { label: 'Все', value: 'ALL' },
  { label: 'Устройство', value: 'device' },
  { label: 'Platform', value: 'platform' },
];

export const typeChoiceOptions = [
  { label: 'Все', value: 'ALL' },
  { label: 'Device No', value: 'device_no' },
  { label: 'Производители', value: 'manufacturers' },
  { label: 'Модель', value: 'model' },
  { label: 'Компания', value: 'company' },
];

export const imagesTypeOptions: IOption[] = [
  { label: 'PNG', value: 'png' },
  { label: 'JPEG', value: 'jpeg' },
];
