export interface IDl {
    cc: number;
    cn: string;
    did: number;
    dt: number;
    ic: number;
    id: string;
    io: string;
    md: number;
    ol: number;
    pid: number;
    sdc: Array<{
        cn: string;
        dt: number;
        ptz: number;
        us: number;
    }>;
    sim: string;
}

export interface IGetUserVehicleExForIndexResponse {
    result: number;
    groupVehicles: Record<number, {
        dl: Array<IDl>;
        id: number;
        ic: number;
        nm: string;
        pid: number;
        pnm: string;
        pth: number;
        pvg: string;
    }>;
    infos: Array<{
        id: string;
        companyId: number;
        level: number;
        name: string;
        parentId: number;
    }>;
    vehicleTemporaryGroups: Array<{
        createTime: number;
        id: number;
        updateTime: number;
        userId: number;
        vehiId: number;
    }>;
    vehicles: Array<{
        ic: number;
        id: number;
        nm: string;
        pid: number;
        pnm: string;
        pth: number;
        pvg: string;
        dl: Array<IDl>;
    }>;
}


export interface IRecord {
    DownTaskUrl: string;
    DownUrl: string;
    PlaybackUrl: string;
    PlaybackUrlWs: string;
    arm: number;
    arm1: number;
    arm2: number;
    beg: number;
    chn: number;
    chnMask: number;
    clientIp: string;
    clientIp2: string;
    clientIp3: string;
    clientPort: number;
    day: number;
    devIdno: string;
    end: number;
    file: string;
    lanip: string;
    len: number;
    loc: number;
    mon: number;
    mulChn: number;
    mulPlay: number;
    recing: number;
    res: number;
    store: number;
    stream: number;
    streamType: number;
    svr: number;
    type: number;
    year: number;
}

export interface IGetRecordsResponse {
    result: number;
    cmsserver: number;
    files: Array<IRecord>
}